Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		google-gadgets-for-linux
#Epoch:		0
Version:	0.11.2
Release:	1
License:	Apache License 2.0
URL:		http://code.google.com/p/google-gadgets-for-linux/
Group:		System/Libraries
Summary:	google gadgets for linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:       xulrunner-devel >= 1.9.2
BuildConflicts:      xulrunner-devel >= 2.0

BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libssh2-devel
BuildRequires:  gnome-keyring-devel

#Automatically resolved build dependencies
BuildRequires: GConf-devel
BuildRequires: ORBit2-devel
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: curl-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libcroco-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgsf-devel
BuildRequires: libidn-devel
BuildRequires: libpng-devel
BuildRequires: libproxy-devel
BuildRequires: librsvg-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: nspr-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: sqlite-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
Google Gadgets for Linux provides a platform for running desktop gadgets under Linux, catering to the unique needs of Linux users. It's compatible with the gadgets written for Google Desktop for Windows as well as the Universal Gadgets on iGoogle. Following Linux norms, this project is open-sourced under the Apache License.

An important area where Google Desktop for Linux is different from its siblings on other operating systems is support for gadgets. Now, the Linux version of Google Gadgets will extend the gadgets platform to Linux users. By enabling cross-platform gadgets, a large library of existing gadgets are immediately available to Linux users. In addition, gadget developers will benefit from a much larger potential user base without having to learn a new API.

There's two main components to the application: one is a common gadget library responsible for running and presenting a gadget, and the other is a host program that allows the user to choose gadgets and run them on the desktop. Currently we have hosts written for GTK+ and QT, with the GTK+ host offering a sidebar similar to that of Google Desktop for Windows. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}
libtoolize -f
autoreconf

%build
CXXFLAGS="-fno-strict-aliasing -Wno-invalid-offsetof"
./configure \
--prefix=%_prefix \
--disable-debug \
--disable-ltdl-install \
--disable-ltdl \
--disable-static 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'
rm -rf $RPM_BUILD_ROOT%{_libdir}/libltdl.*

%files
%defattr(-,root,root)
%{_bindir}/ggl-gtk
%{_bindir}/ggl-qt
%{_libdir}/google-gadgets/
%{_libdir}/libggadget-*.so.*
%{_datadir}/applications/ggl-*.desktop
%{_datadir}/google-gadgets/
%{_datadir}/icons/hicolor/128x128/apps/google-gadgets.png
%{_datadir}/icons/hicolor/128x128/mimetypes/application-x-google-gadget.png
%{_datadir}/icons/hicolor/192x192/apps/google-gadgets.png
%{_datadir}/icons/hicolor/192x192/mimetypes/application-x-google-gadget.png
%{_datadir}/icons/hicolor/32x32/apps/google-gadgets.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-google-gadget.png
%{_datadir}/icons/hicolor/48x48/apps/google-gadgets.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-google-gadget.png
%{_datadir}/icons/hicolor/64x64/apps/google-gadgets.png
%{_datadir}/icons/hicolor/64x64/mimetypes/application-x-google-gadget.png
%{_datadir}/mime/packages/00-google-gadgets.xml
%{_datadir}/pixmaps/google-gadgets.png

%files devel
%defattr(-,root,root)
%{_includedir}/google-gadgets/
%{_libdir}/libggadget-*.so
%{_libdir}/libggadget-*.la
#%{_libdir}/libggadget-*.a
%{_pkgconfig}/libggadget-1.0.pc
%{_pkgconfig}/libggadget-*-1.0.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.11.2-1
- version update
* Fri Dec 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.11.1-1
- version update
* Mon Aug 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.11.0-1
- initial CCux package release
